@echo off

set APPNAME=Molad
set J2MEPATH=P:\J2mewtk
set JAVA_CLASSES=%J2MEPATH%\lib\midpapi_sun.zip

rem set PROGUARD_METHOD=agressive
set PROGUARD_METHOD=standard

echo *** Creating directories ***
deltree -Y ..\tmpclasses  > NUL:
if not exist ..\classes mkdir ..\classes 
deltree -Y ..\classes\*  > NUL:

rem %J2MEPATH%\bin\showdate ..\src_extra\JiFracData.java ..\src\JiFracData.java  > NUL

echo *** Compiling source files ***

javac -target 1.1 -g:none  -bootclasspath %JAVA_CLASSES% -classpath ..\classes -d ..\classes  ..\src\*.java

echo *** Jaring class files ***
jar cmf MANIFEST.MF %APPNAME%.jar -C ..\classes .
deltree /Y ..\classes > NUL: 

echo *** Jaring resource files ***
jar uf %APPNAME%.jar -C ..\res .

rem echo *** Jaring beep (rng)  files ***
rem jar uf %APPNAME%.jar -C ..\res_rng .

echo *** Obfuscating ***
rem java -classpath %J2MEPATH%\bin\retroguard.jar;%JAVA_CLASSES% RetroGuard %APPNAME%.jar %APPNAME%_obf.jar ..\script.rgs

rem creates %APPNAME%_obf.jar
java  -jar %J2MEPATH%\bin\proguard.jar -libraryjars %JAVA_CLASSES% -injars %APPNAME%.jar -outjar %APPNAME%_obf.jar @%J2MEPATH%\lib\%PROGUARD_METHOD%.pro
rem copy %APPNAME%.jar  %APPNAME%_obf.jar

echo *** Preverifying JAR file ***
%J2MEPATH%\bin\preverify -classpath %JAVA_CLASSES%  -d output %APPNAME%_obf.jar 
del %APPNAME%_obf.jar %APPNAME%.jar
move output\%APPNAME%_obf.jar  %APPNAME%.jar
deltree /Y output  > NUL:

rem echo *** Don't forget to update the JAR file size in the JAD file ***
rem inserts size into jad
%J2MEPATH%\bin\jadconv -s %APPNAME%

